Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2740 closed enhancement (fixed)

Suboptimal type for Timestamp_Control

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Currently we have

typedef struct bintime Timestamp_Control;

this type offers more precision than needed. Maybe use sbintime_t (also known as int64_t) instead to simplify computations.

Change History (8)

comment:1 Changed on 02/15/17 at 14:25:52 by Sebastian Huber

Milestone: 4.12Indefinite
Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on 10/06/17 at 12:59:46 by Sebastian Huber

Milestone: Indefinite4.12.0
Status: assignedaccepted

comment:3 Changed on 10/09/17 at 12:15:53 by Sebastian Huber <sebastian.huber@…>

In [changeset:"c0623a99419b18f5b29e932d298193e0245abf38/rtems" c0623a99/rtems]:

score: Simplify _Timestamp_Add_to()

Update #2740.

comment:4 Changed on 10/09/17 at 12:16:07 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2256946e9c0bc452004521d7aeeb68b72f680f42/rtems" 2256946/rtems]:

score: Use struct timespec for TOD

Use the timestamps only for uptime based values. Use struct timespec
for the absolute time values (TOD).

Update #2740.

comment:5 Changed on 10/09/17 at 12:16:23 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: acceptedclosed

In [changeset:"65012bfebbc03088f0740b086abb26d2ff6ebd8b/rtems" 65012bf/rtems]:

score: Change Timestamp_Control to sbintime_t

The timestamp are based on the uptime. There is no need for a 64-bit
seconds part. The signed 32-bit seconds part of the sbintime_t limits
the uptime to roughly 68 years.

Close #2740.

comment:6 Changed on 10/12/17 at 05:05:47 by Sebastian Huber <sebastian.huber@…>

In [changeset:"ed9a6fd8acba64a2f1f4a806fe30a48178aad0be/rtems" ed9a6fd/rtems]:

posix: Use right time format in adjtime()

Update #2740.

comment:7 Changed on 10/12/17 at 05:27:11 by Sebastian Huber <sebastian.huber@…>

In [changeset:"16db540a59d92a2006ddb7d32e2f8727dfec22ca/rtems" 16db540a/rtems]:

Use right time format in _times()

Update #2740.
Close #3179.

comment:8 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.